# Uses of Class
org.eclipse.jface.dialogs.ErrorSupportProvider

Packages that use ErrorSupportProvider
Package
Description
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.
org.eclipse.ui.statushandlers
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of ErrorSupportProvider in org.eclipse.jface.util

Methods in org.eclipse.jface.util that return ErrorSupportProvider
Modifier and Type
Method
Description
`static ErrorSupportProvider`
Policy.`getErrorSupportProvider()`
Return the ErrorSupportProvider for the receiver.
Methods in org.eclipse.jface.util with parameters of type ErrorSupportProvider
Modifier and Type
Method
Description
`static void`
Policy.`setErrorSupportProvider(ErrorSupportProvider provider)`
Set the error support provider for error dialogs.

## Uses of ErrorSupportProvider in org.eclipse.ui.statushandlers

Subclasses of ErrorSupportProvider in org.eclipse.ui.statushandlers
Modifier and Type
Class
Description
`class`
`AbstractStatusAreaProvider`
A status area provider creates an area that displays detailed information about `StatusAdapter` or `IStatus`.